Quote:
Originally Posted by bhavstech View Post
Doomlords kit works on 4.2 not 4.3
Is there anything that i can do about this, Bhavstech?